// import "../aseets/css/main.css"
import Button from '../packages/button/index.js';
import Input from '../packages/input/index.js';
import pageHeader from '../packages/pageHeader/index.js';

const components = [
  Button,
  Input,
  pageHeader
]

const install = function(Vue, opts = {}) {
  // 判断是否安装
  if (install.installed) return
  // 遍历注册全局组件
  components.forEach(component => {
    Vue.component(component.name, component);
  });
}

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export default {
  install
}